Update policy
Updates policy fields. Replacing the definition replaces the whole body.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/policies/{policyId} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
payload = {
"description": "<string>",
"displayName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', displayName: '<string>'})
};
fetch('https://api.example.com/workspaces/{workspaceId}/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'displayName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"fallback": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"rules": [
{
"action": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"kind": "predicated",
"predicate": {
"kind": "confidence",
"min": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"scopes": [
{
"labels": [
"<string>"
],
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"template": {
"id": "<string>",
"version": "<string>"
}
},
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "authored",
"updatedAt": "2023-11-07T05:31:56Z",
"versionNumber": 123,
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}<string><string>Path Parameters
Workspace identifier.
Id of the policy.
Body
Request payload for updating an existing workspace policy.
Replacing the definition replaces the whole policy body. The policy's
template origin is server-owned and preserved across updates — it is not
settable here.
Request payload for updating an existing workspace policy.
Replacing the definition replaces the whole policy body. The policy's
template origin is server-owned and preserved across updates — it is not
settable here.
Response
Response type for a workspace policy.
Response type for a workspace policy.
When the policy was created.
Account that created this policy.
Show child attributes
Show child attributes
The structured policy body consumed by the engine (the current version).
Show child attributes
Show child attributes
Human-readable policy display name.
Unique identifier of the policy.
How the policy came to exist. A one-shot policy (minted from labels) is content-addressed, deduplicated, and immutable; an authored policy is a normal, editable policy.
"authored"When the policy was last updated.
The current version number of the policy's definition.
URL-safe workspace handle. Display-only.
3 - 32^[a-z0-9]+(?:-[a-z0-9]+)*$Unique identifier of the workspace.
Policy description.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/policies/{policyId} \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"displayName": "<string>"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
payload = {
"description": "<string>",
"displayName": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>', displayName: '<string>'})
};
fetch('https://api.example.com/workspaces/{workspaceId}/policies/{policyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'displayName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/policies/{policyId}"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/policies/{policyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"displayName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"fallback": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"rules": [
{
"action": {
"audio": {
"kind": "erase"
},
"image": {
"kind": "erase"
},
"tabular": {
"kind": "cell",
"spec": {
"kind": "erase"
}
},
"text": {
"kind": "erase"
}
},
"kind": "predicated",
"predicate": {
"kind": "confidence",
"min": 123
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"scopes": [
{
"labels": [
"<string>"
],
"name": "<string>",
"attribution": {
"name": "<string>",
"kind": "freeform",
"description": "<string>"
},
"description": "<string>"
}
],
"template": {
"id": "<string>",
"version": "<string>"
}
},
"displayName": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "authored",
"updatedAt": "2023-11-07T05:31:56Z",
"versionNumber": 123,
"workspaceHandle": "<string>",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}<string><string>